use crate::prelude::*;

use std::os::raw::c_void;
use std::ptr;

#[repr(C)]
#[derive(Debug)]
pub struct VkPipelineLibraryCreateInfoKHR {
    pub sType: VkStructureType,
    pub pNext: *const c_void,
    pub libraryCount: u32,
    pub pLibrary: *const VkPipeline,
}

impl VkPipelineLibraryCreateInfoKHR {
    pub fn new(libraries: &[VkPipeline]) -> Self {
        VkPipelineLibraryCreateInfoKHR {
            sType: VK_STRUCTURE_TYPE_PIPELINE_LIBRARY_CREATE_INFO_KHR,
            pNext: ptr::null(),
            libraryCount: libraries.len() as u32,
            pLibrary: if libraries.is_empty() {
                ptr::null()
            } else {
                libraries.as_ptr()
            },
        }
    }
}
